# $Id: Idle.pm,v 1.2 2003/02/08 20:42:30 after Exp $

package Idle;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use Idle ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw/init get_idle_time/;
our $VERSION = '0.0.2';

bootstrap Idle $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

Idle - Perl extension for accessing the idle time of an user in X

=head1 SYNOPSIS

  use Idle;

  Idle::init();
  my $idle_msec = Idle::get_idle_time();

=head1 DESCRIPTION

Call Idle::init() to initialize things and Idle::get_idle_time() will
return you the number of milliseconds of inactive time of the default
X display.

=head2 EXPORT

Idle::init
Idle::get_idle_time

=head1 AUTHOR

Adrien Urban <urban_a@epita.fr>

=head1 SEE ALSO

L<perl>.

=cut
