/*
** $Id: Idle.xs,v 1.3 2003/03/08 20:49:25 after Exp $
**
** Copyright (C) 2002 Nicolas Delon
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#include <unistd.h>
#include <X11/X.h>
#ifndef __sun__
# include <X11/Xdefs.h>
#endif
#include <X11/Xlib.h>
#include <X11/extensions/scrnsaver.h>

Display			*dpy;
XScreenSaverInfo	*ssinfo;

MODULE = Idle		PACKAGE = Idle		

int
init()
CODE:
RETVAL = 1;
if (!(dpy = XOpenDisplay(0)))
{
  perror("XOpenDisplay");
  RETVAL = 0;
}
else
{
  if (!(ssinfo = XScreenSaverAllocInfo()))
    {
      perror("XScreenSaverAllocInfo");
      RETVAL = 0;
    }
}
OUTPUT:
RETVAL

unsigned long
get_idle_time()
CODE:
if (!XScreenSaverQueryInfo(dpy, DefaultRootWindow(dpy), ssinfo))
{
  RETVAL = -1;
}
else
{
  RETVAL = ssinfo->idle;
}
OUTPUT:
RETVAL
